Subject: Re: bug#11302: Automake 1.11d on openSUSE 12.1

From: Stefano Lattarini <[email-masked]>
Date: Sat, 21 Apr 2012 21:33:26 +0200

On 04/21/2012 07:35 PM, Bruno Haible wrote:
> 
> FAIL: t/posixsubst-libraries
> 
> The test looks for a lib/ directory, but "make install" created a lib64/
> directory. This is due to the /usr/share/site/x86_64-unknown-linux-gnu
> (from $CONFIG_SITE, set by /etc/profile.d/site.sh) which sets a libdir
> that ends in /lib64 rather than /lib if it finds that the compiler is
> generating 64-bit code.
>
> [SNIP] other similar failures
>
Could you post the contents of the files '/etc/profile.d/site.sh' and
(most importantly) '/usr/share/site/x86_64-unknown-linux-gnu'?  I'd
like to see what cache variables they pre-set, since my idea is to
fix some tests by adding a proper '--libdir' option to the configure
invocation, and other by unsetting the offending cache variables.

Thanks,
  Stefano